%define module	Kwiki-Archive-Rcs
%define name	perl-%{module}
%define version 0.15
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Kwiki Page Archival Using RCS
Source:		http://search.cpan.org/CPAN/authors/id/I/IN/INGY/%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}/
License:	GPL
Group:		Development/Perl
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-Kwiki
requires:	rcs
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Version control using RCS.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
%make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Kwiki
%{_mandir}/*/*

%changelog
* Fri Apr 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-2mdk 
- requires rcs

* Mon Apr 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdk 
- first mandriva release
